Subject: Re: bug#59404: 29.0.50; Init-debug error when package-vc-install package and run older emacs

From: Feng Shu <[email-masked]>
Date: Wed, 23 Nov 2022 08:42:49 +0800

Philip Kaludercic <[email-masked]> writes:

> Feng Shu <[email-masked]> writes:
>
>> Philip Kaludercic <[email-masked]> writes:
>>
>>> Feng Shu <[email-masked]> writes:
>>>
>>>> When I package-vc-install corfu-terminal and run an older version
>>>> emacs
>>>
>>> Does the following fix the issue for you:
>>
>> I have tested and find that when I install this patch and reinstall
>> popon and corfu-terminal,
>>
>> 1. *Packages* buffer do not show packages installed by
>> package-vc-install
>> 2. package-update, package-delete do not show packages installed by
>> package-vc-install.
>> 3. restart emacs has not effect.
>
> Did you re-install the packages?

Yes, when I apply this patch, packages before installed are dispear, so
I install them with package-vc-install, after install, packages do not
show like above.

--